Results 1 to 9 of 9

Thread: Canon MF4350d

  1. #1
    Join Date
    Jun 2008
    Location
    Harare Zimbabwe
    Posts
    103

    Default Canon MF4350d

    Have updated my system to 11.4 (Fresh install) and installed the driver from canon, and when you print the test page, it prints fine. But it now when i want to print a pdf or web page where it will say printer data error on the printer. Another thing is that it seems to print fine when the document is plain text like if i print a document from libre, it will print or when i send a print test page.

    Also when the document does not go through, the cnpkmoduleufr2 sits in memory and then chows 50% of cpu.

    In 11.3 worked beautifully so am thinking that this is a software issue.
    Freedom is power, all i have to do is know how to use it.

  2. #2
    Join Date
    Mar 2011
    Location
    Sauerland
    Posts
    6,738

    Default AW: Canon MF4350d

    Maybe this bug:
    Various printout failures with CUPS default "RIPCache 8m"

    See here:
    http://en.opensuse.org/Portal:Printi...RIPCache_8m.22

  3. #3
    Join Date
    Jun 2008
    Location
    Harare Zimbabwe
    Posts
    103

    Default Re: AW: Canon MF4350d

    Thanks for the link, did have a look, and did try the work around, but does not seem to have worked. But have setup the printer via the network, and can print that way via a windows client, so i will go that route for now, until a fix is released. At least that way i can print a website page if need be.
    Freedom is power, all i have to do is know how to use it.

  4. #4

    Default Re: Canon MF4350d

    I have same issue after updating to 11.4.
    Using Canon 4150d with latest drivers from Cannon on 64-bit system.
    Plain text, vector images are printed fine. But when printing raster images or text/vector as image cnmpkmoduleufr2 eats 50% cpu (one out of two cores) and doesn't print.
    Have tried to increase RIPCache to 1024m with no effect at all.
    In 11.3 all was working.

  5. #5
    Join Date
    Jun 2008
    Location
    Harare Zimbabwe
    Posts
    103

    Default Re: Canon MF4350d

    Also read this , and did upset me a bit, as i thought something like this should have been in the release notes!, and i read the release notes before considering the update, and this was not mentioned, so if i had known this, then i might have thought twice before updating.

    Replacement of the cups-drivers package

    Up to openSUSE 11.3 the cups-drivers package was a huge all-in-one package which contained several actually independent printer drivers and several sets of PPD files.

    Since openSUSE 11.4 the following printer driver and PPD files packages are split from the cups-drivers package and the cups-drivers package itself is dropped:

    gutenprint: the Gutenprint driver and its matching PPDs
    splix: the SpliX driver and its matching PPDs
    m2300w: the m2300w driver and its matching PPDs
    OpenPrintingPPDs-ghostscript: PPDs for Ghostscript built-in drivers
    OpenPrintingPPDs-hpijs: PPDs for the HPIJS driver for non-HP printers
    OpenPrintingPPDs-postscript: PPDs for PostScript printers
    Freedom is power, all i have to do is know how to use it.

  6. #6
    Join Date
    Nov 2009
    Location
    ND, USA
    Posts
    1,131

    Default Re: Canon MF4350d

    On Thu March 31 2011 03:36 am, firestomper412 wrote:

    >
    > Also read this , and did upset me a bit, as i thought something like
    > this should have been in the release notes!, and i read the release
    > notes before considering the update, and this was not mentioned, so if i
    > had known this, then i might have thought twice before updating.
    >
    > Replacement of the cups-drivers package
    >
    > Up to openSUSE 11.3 the cups-drivers package was a huge all-in-one
    > package which contained several actually independent printer drivers and
    > several sets of PPD files.
    >
    > Since openSUSE 11.4 the following printer driver and PPD files packages
    > are split from the cups-drivers package and the cups-drivers package
    > itself is dropped:
    >
    > gutenprint: the Gutenprint driver and its matching PPDs
    > splix: the SpliX driver and its matching PPDs
    > m2300w: the m2300w driver and its matching PPDs
    > OpenPrintingPPDs-ghostscript: PPDs for Ghostscript built-in
    > drivers
    > OpenPrintingPPDs-hpijs: PPDs for the HPIJS driver for non-HP
    > printers
    > OpenPrintingPPDs-postscript: PPDs for PostScript printers
    >
    >

    firestomper412;

    Most of these are provided as separate packages. Go to YaST>Software>Software
    Management. Search for Splix, Gutenprint and PPD ( check the provides box)
    --
    P. V.
    "We're all in this together, I'm pulling for you." Red Green

  7. #7

    Default Re: Canon MF4350d

    Hi,

    I somehow fixed this problem on my computer (Debian Unstable).

    I'm using this driver: Canon MF4200 Series UFRII LT ver.2.2

    I think I fixed it by installing the latest version of ghostscript ("apt-get install gs"), but I was trying all sorts of things, so I'm not sure. Good luck to others!

  8. #8

    Default Re: Canon MF4350d

    I have the same problem in opensuse 11.4 (64 bits), my MF4010 only accepts to print text. Images or pdf won't print.

    I have those lines in /var/log/messages :

    kernel: [ 2438.330344] gs[8355]: segfault at 0 ip 00007
    fcd420593ad sp 00007fff75c62610 error 4 in libgs.so.9.00[7fcd41c3c000+54d000]

    I found this topic (in german) : Canon MF4140 druckt nicht mehr › Drucken, Scannen, Faxen › Forum › ubuntuusers.de that confirms the problem vanishes with gslib 9.02

    But there is still no newer rpm available in suse.

  9. #9

    Lightbulb Re: Canon MF4350d

    I can confirm this is a Ghostscript 9.00 / 9.01 bug. A possible workaround is installing an older version of Ghostscript - one is still available here: ftp://ftp.pbone.net/mirror/ftp5.gwdg...nSUSE_Factory/, it is version 8.62. YaST does not like it, since there are some applications depending on Ghostscript 9, but printing with my Canon iR 1020 works with this version. You may also try Ghostscript from openSUSE 11.3 (available in official 11.3 repository).

    Regards,
    Pushkin

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •